Bug 1183303 - [RFE][HC] - creating a glusterfs volume with a replica count of 3 is not supported
Summary: [RFE][HC] - creating a glusterfs volume with a replica count of 3 is not supp...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-webadmin
Version: 3.5
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
: 3.6.0
Assignee: Ramesh N
QA Contact: Pavel Stehlik
URL:
Whiteboard: gluster
Depends On:
Blocks: Generic_Hyper_Converged_Host 1182364
TreeView+ depends on / blocked
 
Reported: 2015-01-18 12:11 UTC by Yaniv Lavi
Modified: 2016-02-10 19:28 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of: 1182364
Environment:
Last Closed: 2015-03-19 09:52:22 UTC
oVirt Team: Gluster


Attachments (Terms of Use)

Description Yaniv Lavi 2015-01-18 12:11:07 UTC
+++ This bug was initially created as a clone of Bug #1182364 +++

Description of problem:
glusterfs 3.6 is supporting replica 3 volumes, specifically for oVirt HC use case. The oVirt environment however, does not allow a replica 3 volume to be created. An existing replica3 volume can be extended by not created in oVirt 3.5

Version-Release number of selected component (if applicable):
3.5

How reproducible:


Steps to Reproduce:
1. attempt to create a replicated volume with a replica count other than 2!
2.
3.

Actual results:
The replica count is not an editable field in the UI

Expected results:
The UI should allow a replica count to be specified within the supported range

Additional info:

--- Additional comment from Paul Cuzner on 2015-01-15 17:27:30 EST ---

The issue here is workflow related. The replica count is a facet of a volume, and yet the value for a replica count is editable only when adding bricks. Once a volumes replica count is set, adding bricks should not have an editable field for replica count at all - every additional set of bricks has to adhere to the replica count for the volume.

My suggestion is just to change where the editable fields are. Make the Add volume replica count editable - I'd recommend a select box not free text to keep the replica count to a supported level. Then within add bricks the replica count becomes visible only as a cue to the admin for the number of bricks that need to be added.

--- Additional comment from Sahina Bose on 2015-01-16 09:17:32 EST ---

Ramesh, I'm assigning this to you as you'll be looking at refactoring the brick UI


Note You need to log in before you can comment on or make changes to this bug.